> ## Documentation Index
> Fetch the complete documentation index at: https://brightdata-ipv6-release.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Dataset List

<Tip>
  Paste your API token to the authorization field. To get a token, [Create an account](https://brightdata.com/?hs_signup=1\&utm_source=docs\&utm_campaign=playground) and learn how to [generate a token](/api-reference/unlocker/api_token).
</Tip>

## General Description

* This endpoint retrieves a list of available datasets in Bright Data’s Dataset Marketplace.
* Each dataset includes a unique identifier, name, and approximate size.
* Use this endpoint to explore available datasets before retrieving detailed metadata.

## Request

### **Endpoint**

GET [http://api.brightdata.com/datasets/list](http://api.brightdata.com/datasets/list)

### **Headers**

| Header          | Type   | Description                       |
| --------------- | ------ | --------------------------------- |
| `Authorization` | string | Your API token for authentication |

## Response

### **Response Example**

```json theme={null}
[
    {
        "id": "gd_l1vijqt9jfj7olije",
        "name": "Crunchbase companies information",
        "size": 2300000
    },
    {
        "id": "gd_l1vikfch901nx3by4",
        "name": "Instagram - Profiles",
        "size": 620000000
    }
]
```
